Summary: Elmer, an open source multiphysical simulation software
Name: elmer
Version: 8.4
Release: 10.15%{?dist}1a
Source0: localhost:/%{name}fem-release-%{version}.tar.gz
URL: https://www.csc.fi/web/elmer/elmer
Group: Development/Libraries
License: LGPL
%define __prefix	/opt/elmer
Prefix: %{__prefix}
BuildRoot: %{_tmppath}/%{name}-root

%description
Elmer is an open source multiphysical simulation software mainly developed by CSC - IT Center for Science (CSC). Elmer development was started 1995 in collaboration with Finnish Universities, research institutes and industry. After it's open source publication in 2005, the use and development of Elmer has become international.

Elmer includes physical models of fluid dynamics, structural mechanics, electromagnetics, heat transfer and acoustics, for example. These are described by partial differential equations which Elmer solves by the Finite Element Method (FEM).

These pages are intended to give basic information on the Elmer software. The content of the pages is rather static, For more concurrent information visit the discussion forum and wiki at http://www.elmerfem.org. 

Elmer software is licensed under GPL except for the ElmerSolver library which
is licensed under LGPL license. 


%prep
%setup -n elmerfem-release-%{version}

rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{__prefix}

%build
mkdir build
cd build
cmake -DWITH_ELMERGUI:BOOL=FALSE -DWITH_MPI:BOOL=FALSE -DCMAKE_INSTALL_PREFIX=%{__prefix}/%{version} ..
#cmake -DCMAKE_-DWITH_ELMERGUI:BOOL=FALSE -DWITH_MPI:BOOL=TRUE -DCMAKE_INSTALL_PREFIX=%{__prefix}/%{version} \
#	-DMPI_C_INCLUDE_PATH='/opt/osxws/include/openmpi' -DMPI_C_LIBRARIES='/opt/osxws/lib/openmpi/lib/libmpi.dylib' \
#	-DMPI_CXX_INCLUDE_PATH='/opt/osxws/include/openmpi' -DMPI_CXX_LIBRARIES='/opt/osxws/lib/openmpi/lib/libmpi.dylib' \
#	-DMPI_Fortran_INCLUDE_PATH='/opt/osxws/include/openmpi' -DMPI_Fortran_LIBRARIES='/opt/osxws/lib/openmpi/lib/libmpi.dylib' ..
make %{?_smp_mflags}

%install
cd build
make install DESTDIR=$RPM_BUILD_ROOT

echo export ELMER_HOME=%{__prefix}/%{version} > thiselmer.sh
echo export DYLD_LIBRARY_PATH=%{__prefix}/%{version}/lib >> thiselmer.sh
echo export 'PATH=$PATH:$ELMER_HOME/bin' >> thiselmer.sh
chmod 644 thiselmer.sh
cp -p thiselmer.sh $RPM_BUILD_ROOT%{__prefix}/%{version}/bin/

%clean
rm -rf $RPM_BUILD_ROOT

%files
%doc README*
%defattr(-,root,wheel)
%dir %{__prefix}/%{version}
%{__prefix}/%{version}/*

%changelog
* Tue Jan 28 2020 Keisuke Fujii <keisuke.fujii@kek.jp> 8.3-10.15hepx1a
- 1st release on MacOS X 10.15 for x86_64.
- built with OSXWS 10.15.

* Sat Dec 28 2019 Keisuke Fujii <keisuke.fujii@kek.jp> 8.3-10.14hepx1b
- 2nd release on MacOS X 10.14 for x86_64.
- built with OSXWS 10.14.

* Tue Dec 25 2018 Keisuke Fujii <keisuke.fujii@kek.jp> 8.3-10.14hepx1a
- 1st release on MacOS X 10.14 for x86_64.
- built with OSXWS 10.13.

* Wed Apr 04 2018 Keisuke Fujii <keisuke.fujii@kek.jp> 8.3-10.13hepx1a
- 1st release on MacOS X 10.13 for x86_64.

* Sun Jan 8 2017 Keisuke Fujii <keisuke.fujii@kek.jp> 8.2-10.12hepx1a
- 1st release on MacOS X 10.12 for x86_64.
